# Administration Reference

## vos listvldb

Purpose

Displays a volume's VLDB entry

Synopsis

    vos listvldb [-name <volume name or ID>]  [-server <machine name>]
                 [-partition <partition name>]  [-locked]  [-quiet]  [-nosort]
                 [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]  [-help]

    vos listvl [-na <volume name or ID>]  [-s <machine name>]
               [-p <partition name>]  [-lock]  [-q]  [-nos]  [-c <cell name>]
               [-noa]  [-loca]  [-v]  [-h]

Description

The vos listvldb command formats and displays information from the Volume Location Database (VLDB) entry for each volume specified. The output depends on the combination of options supplied on the command line. Combine options as indicated to display the desired type of VLDB entries:

- Every entry in the VLDB: provide no options

- Every VLDB entry that mentions a certain file server machine as the site for a volume: specify the machine's name as the -server argument

- Every VLDB entry that mentions a certain partition on any file server machine as the site for a volume: specify the partition name as the -partition argument

- Every VLDB entry that mentions a certain partition on a certain file server machine as the site for a volume: combine the -server and -partition arguments

- A single VLDB entry: specify a volume name or ID number with the -name argument

- The VLDB entry only for the volumes with locked VLDB entries found at a certain site: combine the -locked flag with any of arguments that define sites

Options

-name
  Specifies either the complete name or volume ID number of a volume of any of the three types.

-server
  Identifies the file server machine listed as a site in each VLDB entry to display. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

  This argument can be combined with the -partition argument, the -locked flag, or both.

-partition
  Identifies the partition (on the file server machine specified by the -server argument) listed as a site in each VLDB entry to display. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

  This argument can be combined with the -server argument, the -locked flag, or both.

-locked
  Displays only locked VLDB entries. This flag can be combined with the -server argument, the -partition argument, or both.

-quiet
  Suppresses the lines that summarize the number of volumes listed and their status, which otherwise appear at the beginning and end of the output when the output includes more than one volume.

-nosort
  Suppresses the default sorting of volume entries alphabetically by volume name.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

If the output includes more than one VLDB entry, by default the first line reports which file server machine, partition, or both, houses the volumes. The final line of output reports the total number of entries displayed. Including the -quiet flag suppresses these lines.

By default, volumes are sorted alphabetically by volume name. Including the -nosort flag skips the sorting step, which can speed up the production of output if there are a large number of entries.

The VLDB entry for each volume includes the following information:

- The base (read/write) volume name. The read-only and backup versions have the same name with a .readonly and .backup extension, respectively.

- The volume ID numbers allocated to the versions of the volume that actually exist, in fields labeled `RWrite` for the read/write, `ROnly` for the read-only, `Backup` for the backup, and `RClone` for the ReleaseClone. (If a field does not appear, the corresponding version of the volume does not exist.) The appearance of the `RClone` field normally indicates that a release operation did not complete successfully; the `Old release` and `New release` flags often also appear on one or more of the site definition lines described just following.

- The number of sites that house a read/write or read-only copy of the volume, following the string `number of sites ->`.

- A line for each site that houses a read/write or read-only copy of the volume, specifying the file server machine, partition, and type of volume (`RW` for read/write or `RO` for read-only). If a backup version exists, it is understood to share the read/write site. Several flags can appear with a site definition:

  `Not released`
    Indicates that the vos release command has not been issued since the vos addsite command was used to define the read-only site.

  `Old release`
    Indicates that a vos release command did not complete successfully, leaving the previous, obsolete version of the volume at this site.

  `New release`
    Indicates that a vos release command did not complete successfully, but that this site did receive the correct new version of the volume.

- If the VLDB entry is locked, the string `Volume is currently LOCKED`.

For further discussion of the `New release` and `Old release` flags, see the reference page for the vos release command.

Examples

The following command displays VLDB information for the ABC Corporation volume called usr, which has two read-only replication sites:

       % vos listvldb -name usr
       usr
        RWrite: 5360870981   ROnly: 536870982   Backup: 536870983
        number of sites -> 3
           server fs1.abc.com partition /vicepa RO Site
           server fs3.abc.com partition /vicepa RO Site
           server fs2.abc.com partition /vicepb RW Site

The following example shows entries for two of the volumes that reside on the file server machine fs4.abc.com. The first VLDB entry is currently locked. There are 508 entries that mention the machine as a volume site.

       % vos listvldb -server fs4.abc.com
       VLDB entries for server fs4.abc.com
           .       .           .        .
           .       .           .        .
       user.smith
        RWrite: 278541326   ROnly: 278541327   Backup: 278542328
        number of sites -> 1
          server fs4.abc.com partition /vicepg RW Site
        Volume is currently LOCKED
          user.terry
        RWrite 354287190   ROnly 354287191   Backup 354287192
        number of sites -> 1
          server fs4.abc.com partition /vicepc RW Site
          .       .           .        .
          .       .           .        .
       Total entries: 508

Privilege Required

None

Related Information

vos

vos examine

vos listvol

vos lock

vos unlock

vos unlockvldb

© IBM Corporation 2000. All Rights Reserved